$('document').ready(function(){
	
	var slideText = [
		{title: 'Drveni sto <span class="title">Astal</span>', description: 'Ploča hrastovine sa metalnom konstrukcijom', id: 1},
		{title: 'Dnevna soba <span class="title">TV1</span>', description: 'Ovo je dnevna soba', id: 2},
		{title: 'Neka druga <span class="title">Soba</span>', description: 'Ovo nije dnevna soba', id: 3}
	]

	var selectedIndex;
	var numberOfSlides;
	var timer;
	var timerSelected = undefined;

	init();

	function init()
	{
		selectedIndex = $('.controls input:checked').attr('value');
		numberOfSlides = $('.slide').length;

	    var images = ($('.slide img'));

	    setTimeout(animation, 3000);

	    $.each(images, function(){
	    	$(this).parent().css({backgroundImage : "url('"+$(this).attr('src')+"')"})
	    })

	    changeText(selectedIndex-1);
	}

	$(".controls input[type='radio']").on('change ', function(){
		changeSlide(slide = $(this).attr('value'));
		clearTimeout(timer);
		active = false;
		selectedIndex = slide;
		if(timerSelected)
			clearTimeout(timerSelected);

		timerSelected = setTimeout(function(){
			active = true;
			animation();
		}, 10000)
	});

	var active = true;

	function changeSlide(slide)
	{

		current = $('.slide.active');
		current.fadeOut(1000).removeClass('active');

		current.removeClass('active');
		var newSlide = $('.slide:nth-child('+slide+')');
		
		selectedIndex = slide;

		newSlide.fadeIn(1000).addClass('active');

		//console.log(slide);

		$(".controls input[checked='checked']").prop('checked', false);
		$('.controls input:nth-child('+slide+')').prop('checked', true);

		changeText(slide-1);

	}

	function animation()
	{
		if(!active)
			return;

		selectedIndex = 1 + parseInt((selectedIndex)) % parseInt(numberOfSlides);
		changeSlide(selectedIndex);

		timer = setTimeout(animation, 6000);
	}

	function changeText(i){
		$('.info h2').html(slideText[i].title);
		$('.info p').html(slideText[i].description);
		$('.info a').attr('href',"/products?id="+slideText[i].id);
	}

	

})